@layer theme {

    .templateHomepageCover {
        min-height: 100vh;
        @media (min-width: 56em) {
            min-height: 70vh;
        }
        @media (--min-fablet) {
            min-height: 70vh;
        }

        .container {
            overflow: inherit;
            padding-top: 0;
            background: none;
        }
        .media {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border-radius: 0;
            
            img {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                opacity: 0;
                visibility: hidden;
            }

            &:before {
                background: #000;
                content: "";
                height: 100%;
                left: 0;
                opacity: .4;
                position: absolute;
                top: 0;
                width: 100%;
                z-index: 100;
            }
        }
        .inner {
            grid-column: span 8;
            z-index: 100;
            justify-content: flex-end;
            overflow: initial;
        }
        .block {
            background: none;
            z-index: 1;
            .header {
                position: relative;
                padding-bottom: var(--gutter);
                padding-top: 0;
                .title {
                    color: #fff;
                    position: absolute;
                    bottom:var(--padding);
                    font-size: var(--xl-fontsize);
                    line-height: var(--xl-lineheight);
                }
            }
            .content {
                @media (min-width: 56em) {
                    display: flex;
                }
                @media (--min-fablet) {
                    display: flex;
                }
                .filters {
                    display: flex;
                    align-items: center;
                    border-radius: var(--border-radius);
                    overflow: hidden;
            
                    @media (max-width: 56em) {
                        flex-wrap: wrap;
                        flex-direction: column;
                    }
            
                    @media (--max-fablet) {
                        flex-wrap: wrap;
                        flex-direction: column;
                    }

                    input, select {
                        border-radius: 0;
                        border: 0;
                        @media (min-width: 56em) {
                            max-width: 160px;
                            min-width: 160px;
                        }
                        @media (--min-fablet) {
                            max-width: 160px;
                            min-width: 160px;
                        }
                    }

                    .filterSearch {
                        &:after {
                            content: "";
                            display: block;
                            position: absolute;
                            left: 0;
                            top: 50%;
                            transform: translateY(-50%);
                            height: 35px;
                            width: 2px;
                            background-color: var(--color2);
                            @media (max-width: 56em) {
                                width: calc(100% - (var(--form-input-size) * 2));
                                height: 1px;
                                top: 0;
                                left: 50%;
                                transform: translateX(-50%);
                            }
                            @media (--max-fablet) {
                                width: calc(100% - (var(--form-input-size) * 2));
                                height: 1px;
                                top: 0;
                                left: 50%;
                                transform: translateX(-50%);
                            }
                        }
                    }
                    
                    .filterCategory, .filterSearch {
                        position: relative;
                        background: #fff;
                        overflow: hidden;

                        @media (max-width: 56em) {
                            width: 100%;
                        }

                        @media (--max-fablet) {
                            width: 100%;
                        }
                        @media (min-width: 56em) {
                            select {
                                width: max-content;
                            }
                        }
                        @media (--min-fablet) {
                            select {
                                width: max-content;
                            }
                        }
                    }
                    .filterButton {
                        height: 100%;
                        @media (max-width: 56em) {
                            width: 100%;
                        }
                        @media (--max-fablet) {
                            width: 100%;
                        }
                        .button {
                            height: 100%;
                            border-top-left-radius: 0;
                            border-bottom-left-radius: 0;
                            background-color: var(--color4);
                            &:hover {
                                @media (hover: hover) {
                                    background-color: var(--color-dark);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}